Get OASIS by job ID
curl --request GET \
--url https://app.enzo.health/api/v1/oasis/getOasisByJobId \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.enzo.health/api/v1/oasis/getOasisByJobId"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.enzo.health/api/v1/oasis/getOasisByJobId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"sectionId": "<string>",
"sectionTitle": "<string>",
"sectionCode": "<string>",
"questions": [
{
"id": "<string>",
"code": "<string>",
"title": "<string>",
"description": "<string>",
"isAbstract": true,
"order": 123,
"parentId": "<string>",
"answerType": "<string>",
"dataType": "<string>",
"possibleAnswers": [
{
"id": "<string>",
"value": "<string>",
"title": "<string>",
"desc": "<string>"
}
],
"jobAnswer": {
"originalAnswer": "<string>",
"enzoAnswer": "<string>",
"finalAnswer": "<string>",
"reason": "<string>",
"originalOrder": 123,
"enzoOrder": 123
},
"oasisType": [
"SOC_ROC"
],
"sectionId": "<string>",
"dependentQuestionId": "<string>",
"skipValues": "<string>",
"skipIfNull": true
}
]
}
]{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}OASIS
Get OASIS by job ID
GET
/
v1
/
oasis
/
getOasisByJobId
Get OASIS by job ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.